{
    "success": true,
    "dateRange": {
        "start": "2025-12-19",
        "end": "2025-12-26"
    },
    "summary": {
        "totalCount": 0,
        "returnedCount": 0,
        "offset": 0,
        "size": 50,
        "transactions": []
    },
    "fullData": {
        "success": true,
        "data": {
            "results": [
                {
                    "unitId": "AC232512260901304594237444",
                    "merchantId": "M22M42PSVOOZZ",
                    "transactionId": "T2512260901304646425306",
                    "transactionType": "FORWARD",
                    "paymentState": "COMPLETED",
                    "amount": 100,
                    "merchantTransactionId": "AC232512260901304594237444",
                    "merchantOrderId": "TXSCAN2512260901194380736275",
                    "providerReferenceId": "T2512260901304646425306",
                    "instrumentDetails": [
                        {
                            "instrumentType": "ACCOUNT",
                            "displayName": "UPI Account",
                            "amount": 100,
                            "bankId": "KVBL",
                            "cardIssuer": "UNKNOWN",
                            "instrumentIdentifierKey": "UPI_ACCOUNT",
                            "utr": "747814624712",
                            "processingRail": "UPI",
                            "processingModeType": "UPI_DEFAULT",
                            "vpa": "7604923677@ibl",
                            "accountNumber": "XXXXXXXXXXXX5932",
                            "ifsc": "KVBL0001874"
                        }
                    ],
                    "transactionDate": 1766719894717,
                    "merchantDetails": {
                        "merchantId": "M22M42PSVOOZZ",
                        "storeId": "MS2502190838479932977884",
                        "terminalId": "MST2502191103457743329830",
                        "storeName": "Poem singer",
                        "terminalName": "Terminal 1",
                        "qrCodeId": "Q534230194",
                        "merchantType": "P2M_LIMITED"
                    },
                    "customerDetails": {
                        "userId": "U2511202042423134861511",
                        "phoneNumber": "+xx 76xxxxxx77",
                        "userName": "******3677"
                    },
                    "paymentApp": {
                        "paymentApp": "PHONEPE",
                        "logo": "https://docs.phonepe.com/cdn-cgi/image/width=72,height=72/public/iRaxW3IBCyTN0em5mLoD",
                        "displayText": "PhonePe"
                    },
                    "utr": "747814624712",
                    "payResponseCode": "SUCCESS",
                    "globalPaymentId": "AC232512260901304594237444",
                    "offerAdjustment": 0,
                    "isExternalVPATransaction": false,
                    "vpa": "76XXXXXX77@ibl",
                    "transactionNote": "poker12345",
                    "cashbackApplied": false,
                    "instrumentLevelSettlementDetails": {},
                    "settlement": {
                        "settlementText": "Transaction will be settled on next business day",
                        "status": "PENDING",
                        "splitSettled": false
                    },
                    "vasDetails": [],
                    "refundTransactions": [],
                    "additionalTransactionDetails": [],
                    "solutionType": "QR_PAYMENTS",
                    "solutionName": "QR",
                    "externalVPATransaction": false
                },
                {
                    "unitId": "T2512252016245004180958",
                    "merchantId": "M22M42PSVOOZZ",
                    "transactionId": "394366408352",
                    "transactionType": "FORWARD",
                    "paymentState": "COMPLETED",
                    "amount": 100,
                    "merchantTransactionId": "PTM6db1aeb9d8514021ac6477864f08dcb5",
                    "providerReferenceId": "T2512252016245004180958",
                    "instrumentDetails": [
                        {
                            "instrumentType": "EXTERNAL_VPA",
                            "displayName": "UPI Account",
                            "amount": 100,
                            "bankId": "ICIC",
                            "cardIssuer": "UNKNOWN",
                            "instrumentIdentifierKey": "UPI_ACCOUNT",
                            "utr": "394366408352",
                            "processingRail": "UPI",
                            "processingModeType": "UPI_EXTERNAL_DEFAULT",
                            "vpa": "optimism2@ptyes",
                            "ifsc": "ICIC0002960"
                        }
                    ],
                    "transactionDate": 1766673984564,
                    "merchantDetails": {
                        "merchantId": "M22M42PSVOOZZ",
                        "storeId": "MS2502190838479932977884",
                        "terminalId": "MST2502191103457743329830",
                        "storeName": "Poem singer",
                        "terminalName": "Terminal 1",
                        "qrCodeId": "Q534230194",
                        "merchantType": "P2M_LIMITED"
                    },
                    "customerDetails": {
                        "userName": "GURVIR SINGH"
                    },
                    "paymentApp": {
                        "paymentApp": "PAYTM",
                        "logo": "https://imgstatic.phonepe.com/images/pfb-web/payment-instruments/256/256/paytm.png",
                        "displayText": "Paytm"
                    },
                    "utr": "394366408352",
                    "customerReferenceId": "394366408352",
                    "payResponseCode": "SUCCESS",
                    "globalPaymentId": "T2512252016245004180958",
                    "offerAdjustment": 0,
                    "isExternalVPATransaction": true,
                    "vpa": "opXXXXXm2@ptyes",
                    "transactionNote": "abc12345678",
                    "cashbackApplied": false,
                    "instrumentLevelSettlementDetails": {
                        "UPI_FULFILMENT": {
                            "totalAmount": 1,
                            "settlementAmount": 1,
                            "transactionId": "T2512252016245004180958",
                            "utr": "547997653605"
                        }
                    },
                    "settlement": {
                        "settlementList": [
                            {
                                "utr": "547997653605",
                                "status": "COMPLETED",
                                "settlementDate": 1766695387953,
                                "settlementAmount": 1,
                                "accountId": "M22M42PSVOOZZ",
                                "amount": 1,
                                "deductions": 0
                            }
                        ],
                        "status": "SETTLED",
                        "splitSettled": false
                    },
                    "vasDetails": [],
                    "refundTransactions": [],
                    "additionalTransactionDetails": [],
                    "solutionType": "QR_PAYMENTS",
                    "solutionName": "QR",
                    "externalVPATransaction": true
                },
                {
                    "unitId": "AC232512252000514694914642",
                    "merchantId": "M22M42PSVOOZZ",
                    "transactionId": "T2512252000514736496049",
                    "transactionType": "FORWARD",
                    "paymentState": "COMPLETED",
                    "amount": 100,
                    "merchantTransactionId": "AC232512252000514694914642",
                    "merchantOrderId": "TXSCAN2512251959526991591830",
                    "providerReferenceId": "T2512252000514736496049",
                    "instrumentDetails": [
                        {
                            "instrumentType": "ACCOUNT",
                            "displayName": "UPI Account",
                            "amount": 100,
                            "bankId": "KVBL",
                            "cardIssuer": "UNKNOWN",
                            "instrumentIdentifierKey": "UPI_ACCOUNT",
                            "utr": "703101142198",
                            "processingRail": "UPI",
                            "processingModeType": "UPI_DEFAULT",
                            "vpa": "7604923677@ibl",
                            "accountNumber": "XXXXXXXXXXXX5932",
                            "ifsc": "KVBL0001874"
                        }
                    ],
                    "transactionDate": 1766673057104,
                    "merchantDetails": {
                        "merchantId": "M22M42PSVOOZZ",
                        "storeId": "MS2502190838479932977884",
                        "terminalId": "MST2502191103457743329830",
                        "storeName": "Poem singer",
                        "terminalName": "Terminal 1",
                        "qrCodeId": "Q534230194",
                        "merchantType": "P2M_LIMITED"
                    },
                    "customerDetails": {
                        "userId": "U2511202042423134861511",
                        "phoneNumber": "+xx 76xxxxxx77",
                        "userName": "******3677"
                    },
                    "paymentApp": {
                        "paymentApp": "PHONEPE",
                        "logo": "https://docs.phonepe.com/cdn-cgi/image/width=72,height=72/public/iRaxW3IBCyTN0em5mLoD",
                        "displayText": "PhonePe"
                    },
                    "utr": "703101142198",
                    "payResponseCode": "SUCCESS",
                    "globalPaymentId": "AC232512252000514694914642",
                    "offerAdjustment": 0,
                    "isExternalVPATransaction": false,
                    "vpa": "76XXXXXX77@ibl",
                    "transactionNote": "yuck123456",
                    "cashbackApplied": false,
                    "instrumentLevelSettlementDetails": {
                        "UPI_FULFILMENT": {
                            "totalAmount": 1,
                            "settlementAmount": 1,
                            "transactionId": "T2512252000514736496049",
                            "utr": "547997653605"
                        }
                    },
                    "settlement": {
                        "settlementList": [
                            {
                                "utr": "547997653605",
                                "status": "COMPLETED",
                                "settlementDate": 1766695387953,
                                "settlementAmount": 1,
                                "accountId": "M22M42PSVOOZZ",
                                "amount": 1,
                                "deductions": 0
                            }
                        ],
                        "status": "SETTLED",
                        "splitSettled": false
                    },
                    "vasDetails": [],
                    "refundTransactions": [],
                    "additionalTransactionDetails": [],
                    "solutionType": "QR_PAYMENTS",
                    "solutionName": "QR",
                    "externalVPATransaction": false
                },
                {
                    "unitId": "T2512220907198574547772",
                    "merchantId": "M22M42PSVOOZZ",
                    "transactionId": "572258098790",
                    "transactionType": "FORWARD",
                    "paymentState": "COMPLETED",
                    "amount": 100,
                    "merchantTransactionId": "AXIfacf7b286b764dfc85a7f8a5e92db31e",
                    "providerReferenceId": "T2512220907198574547772",
                    "instrumentDetails": [
                        {
                            "instrumentType": "EXTERNAL_VPA",
                            "displayName": "UPI Account",
                            "amount": 100,
                            "bankId": "ICIC",
                            "cardIssuer": "UNKNOWN",
                            "instrumentIdentifierKey": "UPI_ACCOUNT",
                            "utr": "572258098790",
                            "processingRail": "UPI",
                            "processingModeType": "UPI_EXTERNAL_DEFAULT",
                            "vpa": "gurvirkular01@okaxis",
                            "ifsc": "ICIC0002960"
                        }
                    ],
                    "transactionDate": 1766374639916,
                    "merchantDetails": {
                        "merchantId": "M22M42PSVOOZZ",
                        "storeId": "MS2502190838479932977884",
                        "terminalId": "MST2502191103457743329830",
                        "storeName": "Poem singer",
                        "terminalName": "Terminal 1",
                        "qrCodeId": "Q534230194",
                        "merchantType": "P2M_LIMITED"
                    },
                    "customerDetails": {
                        "userName": "GURVIR SINGH"
                    },
                    "paymentApp": {
                        "paymentApp": "GPAY",
                        "logo": "https://imgstatic.phonepe.com/images/pfb-web/payment-instruments/256/256/gpay.png",
                        "displayText": "Google Pay"
                    },
                    "utr": "572258098790",
                    "customerReferenceId": "572258098790",
                    "payResponseCode": "SUCCESS",
                    "globalPaymentId": "T2512220907198574547772",
                    "offerAdjustment": 0,
                    "isExternalVPATransaction": true,
                    "vpa": "guXXXXXXXXX01@okaxis",
                    "transactionNote": "UPI",
                    "cashbackApplied": false,
                    "instrumentLevelSettlementDetails": {
                        "UPI_FULFILMENT": {
                            "totalAmount": 1,
                            "settlementAmount": 1,
                            "transactionId": "T2512220907198574547772",
                            "utr": "785386433575"
                        }
                    },
                    "settlement": {
                        "settlementList": [
                            {
                                "utr": "785386433575",
                                "status": "COMPLETED",
                                "settlementDate": 1766436930516,
                                "settlementAmount": 1,
                                "accountId": "M22M42PSVOOZZ",
                                "amount": 1,
                                "deductions": 0
                            }
                        ],
                        "status": "SETTLED",
                        "splitSettled": false
                    },
                    "vasDetails": [],
                    "refundTransactions": [],
                    "additionalTransactionDetails": [],
                    "solutionType": "QR_PAYMENTS",
                    "solutionName": "QR",
                    "externalVPATransaction": true
                },
                {
                    "unitId": "AC232512220854587229794442",
                    "merchantId": "M22M42PSVOOZZ",
                    "transactionId": "T2512220854587270389763",
                    "transactionType": "FORWARD",
                    "paymentState": "COMPLETED",
                    "amount": 100,
                    "merchantTransactionId": "AC232512220854587229794442",
                    "merchantOrderId": "TXSCAN2512220854523349615965",
                    "providerReferenceId": "T2512220854587270389763",
                    "instrumentDetails": [
                        {
                            "instrumentType": "ACCOUNT",
                            "displayName": "UPI Account",
                            "amount": 100,
                            "bankId": "UBIN",
                            "cardIssuer": "UNKNOWN",
                            "instrumentIdentifierKey": "UPI_ACCOUNT",
                            "utr": "031318366495",
                            "processingRail": "UPI",
                            "processingModeType": "UPI_DEFAULT",
                            "vpa": "shrikantbhai1122@axl",
                            "accountNumber": "XXXXXXXXXXX6310",
                            "ifsc": "UBIN0543888"
                        }
                    ],
                    "transactionDate": 1766373904129,
                    "merchantDetails": {
                        "merchantId": "M22M42PSVOOZZ",
                        "storeId": "MS2502190838479932977884",
                        "terminalId": "MST2502191103457743329830",
                        "storeName": "Poem singer",
                        "terminalName": "Terminal 1",
                        "qrCodeId": "Q534230194",
                        "merchantType": "P2M_LIMITED"
                    },
                    "customerDetails": {
                        "userId": "U2004251016465892402631",
                        "phoneNumber": "+xx 74xxxxxx87",
                        "userName": "******2487"
                    },
                    "paymentApp": {
                        "paymentApp": "PHONEPE",
                        "logo": "https://docs.phonepe.com/cdn-cgi/image/width=72,height=72/public/iRaxW3IBCyTN0em5mLoD",
                        "displayText": "PhonePe"
                    },
                    "utr": "031318366495",
                    "payResponseCode": "SUCCESS",
                    "globalPaymentId": "AC232512220854587229794442",
                    "offerAdjustment": 0,
                    "isExternalVPATransaction": false,
                    "vpa": "shXXXXXXXXXXXX22@axl",
                    "cashbackApplied": false,
                    "instrumentLevelSettlementDetails": {
                        "UPI_FULFILMENT": {
                            "totalAmount": 1,
                            "settlementAmount": 1,
                            "transactionId": "T2512220854587270389763",
                            "utr": "785386433575"
                        }
                    },
                    "settlement": {
                        "settlementList": [
                            {
                                "utr": "785386433575",
                                "status": "COMPLETED",
                                "settlementDate": 1766436930516,
                                "settlementAmount": 1,
                                "accountId": "M22M42PSVOOZZ",
                                "amount": 1,
                                "deductions": 0
                            }
                        ],
                        "status": "SETTLED",
                        "splitSettled": false
                    },
                    "vasDetails": [],
                    "refundTransactions": [],
                    "additionalTransactionDetails": [],
                    "solutionType": "QR_PAYMENTS",
                    "solutionName": "QR",
                    "externalVPATransaction": false
                },
                {
                    "unitId": "AC232512220851483898682091",
                    "merchantId": "M22M42PSVOOZZ",
                    "transactionId": "T2512220851483959221711",
                    "transactionType": "FORWARD",
                    "paymentState": "COMPLETED",
                    "amount": 100,
                    "merchantTransactionId": "AC232512220851483898682091",
                    "merchantOrderId": "TXSCAN2512220851458137631281",
                    "providerReferenceId": "T2512220851483959221711",
                    "instrumentDetails": [
                        {
                            "instrumentType": "ACCOUNT",
                            "displayName": "UPI Account",
                            "amount": 100,
                            "bankId": "UBIN",
                            "cardIssuer": "UNKNOWN",
                            "instrumentIdentifierKey": "UPI_ACCOUNT",
                            "utr": "532440362330",
                            "processingRail": "UPI",
                            "processingModeType": "UPI_DEFAULT",
                            "vpa": "shrikantbhai1122@axl",
                            "accountNumber": "XXXXXXXXXXX6310",
                            "ifsc": "UBIN0543888"
                        }
                    ],
                    "transactionDate": 1766373713348,
                    "merchantDetails": {
                        "merchantId": "M22M42PSVOOZZ",
                        "storeId": "MS2502190838479932977884",
                        "terminalId": "MST2502191103457743329830",
                        "storeName": "Poem singer",
                        "terminalName": "Terminal 1",
                        "qrCodeId": "Q534230194",
                        "merchantType": "P2M_LIMITED"
                    },
                    "customerDetails": {
                        "userId": "U2004251016465892402631",
                        "phoneNumber": "+xx 74xxxxxx87",
                        "userName": "******2487"
                    },
                    "paymentApp": {
                        "paymentApp": "PHONEPE",
                        "logo": "https://docs.phonepe.com/cdn-cgi/image/width=72,height=72/public/iRaxW3IBCyTN0em5mLoD",
                        "displayText": "PhonePe"
                    },
                    "utr": "532440362330",
                    "payResponseCode": "SUCCESS",
                    "globalPaymentId": "AC232512220851483898682091",
                    "offerAdjustment": 0,
                    "isExternalVPATransaction": false,
                    "vpa": "shXXXXXXXXXXXX22@axl",
                    "cashbackApplied": false,
                    "instrumentLevelSettlementDetails": {
                        "UPI_FULFILMENT": {
                            "totalAmount": 1,
                            "settlementAmount": 1,
                            "transactionId": "T2512220851483959221711",
                            "utr": "785386433575"
                        }
                    },
                    "settlement": {
                        "settlementList": [
                            {
                                "utr": "785386433575",
                                "status": "COMPLETED",
                                "settlementDate": 1766436930516,
                                "settlementAmount": 1,
                                "accountId": "M22M42PSVOOZZ",
                                "amount": 1,
                                "deductions": 0
                            }
                        ],
                        "status": "SETTLED",
                        "splitSettled": false
                    },
                    "vasDetails": [],
                    "refundTransactions": [],
                    "additionalTransactionDetails": [],
                    "solutionType": "QR_PAYMENTS",
                    "solutionName": "QR",
                    "externalVPATransaction": false
                },
                {
                    "unitId": "AC232512220834019739500634",
                    "merchantId": "M22M42PSVOOZZ",
                    "transactionId": "T2512220834019799314560",
                    "transactionType": "FORWARD",
                    "paymentState": "COMPLETED",
                    "amount": 100,
                    "merchantTransactionId": "AC232512220834019739500634",
                    "merchantOrderId": "TXSCAN2512220833513580948517",
                    "providerReferenceId": "T2512220834019799314560",
                    "instrumentDetails": [
                        {
                            "instrumentType": "ACCOUNT",
                            "displayName": "UPI Account",
                            "amount": 100,
                            "bankId": "UBIN",
                            "cardIssuer": "UNKNOWN",
                            "instrumentIdentifierKey": "UPI_ACCOUNT",
                            "utr": "374238893851",
                            "processingRail": "UPI",
                            "processingModeType": "UPI_DEFAULT",
                            "vpa": "shrikantbhai1122@ybl",
                            "accountNumber": "XXXXXXXXXXX6310",
                            "ifsc": "UBIN0543888"
                        }
                    ],
                    "transactionDate": 1766372645554,
                    "merchantDetails": {
                        "merchantId": "M22M42PSVOOZZ",
                        "storeId": "MS2502190838479932977884",
                        "terminalId": "MST2502191103457743329830",
                        "storeName": "Poem singer",
                        "terminalName": "Terminal 1",
                        "qrCodeId": "Q534230194",
                        "merchantType": "P2M_LIMITED"
                    },
                    "customerDetails": {
                        "userId": "U2004251016465892402631",
                        "phoneNumber": "+xx 74xxxxxx87",
                        "userName": "******2487"
                    },
                    "paymentApp": {
                        "paymentApp": "PHONEPE",
                        "logo": "https://docs.phonepe.com/cdn-cgi/image/width=72,height=72/public/iRaxW3IBCyTN0em5mLoD",
                        "displayText": "PhonePe"
                    },
                    "utr": "374238893851",
                    "payResponseCode": "SUCCESS",
                    "globalPaymentId": "AC232512220834019739500634",
                    "offerAdjustment": 0,
                    "isExternalVPATransaction": false,
                    "vpa": "shXXXXXXXXXXXX22@ybl",
                    "cashbackApplied": false,
                    "instrumentLevelSettlementDetails": {
                        "UPI_FULFILMENT": {
                            "totalAmount": 1,
                            "settlementAmount": 1,
                            "transactionId": "T2512220834019799314560",
                            "utr": "785386433575"
                        }
                    },
                    "settlement": {
                        "settlementList": [
                            {
                                "utr": "785386433575",
                                "status": "COMPLETED",
                                "settlementDate": 1766436930516,
                                "settlementAmount": 1,
                                "accountId": "M22M42PSVOOZZ",
                                "amount": 1,
                                "deductions": 0
                            }
                        ],
                        "status": "SETTLED",
                        "splitSettled": false
                    },
                    "vasDetails": [],
                    "refundTransactions": [],
                    "additionalTransactionDetails": [],
                    "solutionType": "QR_PAYMENTS",
                    "solutionName": "QR",
                    "externalVPATransaction": false
                }
            ],
            "totalResults": 7,
            "totalAmount": 700
        }
    }
}